BCDTOBIN(9)

NAME
bcdtobin, bintobcd - convert a single byte between (unsigned) packed bcd and binary

SYNOPSIS
#include <sys/systm.h>
unsigned int
bcdtobin(unsigned int bcd);
unsigned int
bintobcd(unsigned int bin);

DESCRIPTION
The bcdtobin() and bintobcd() functions convert a single byte between (unsigned) packed bcd and binary encodings.

RETURN VALUES
The bcdtobin() function returns the binary value of its BCD-encoded argument, bcd. The bintobcd() function returns the BCD encoding of its binary argument, bin.